Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.laf
Class OverlayPropertyHandler

    java.lang.Object
      org.pentaho.di.laf.OverlayPropertyHandler

All Implemented Interfaces:
  Handler, PropertyHandler

    public class OverlayPropertyHandler

extends Object
implements PropertyHandler

Constructor Summary
`OverlayPropertyHandler()`

Method Summary
`boolean` | `exists(String filename)` check to see whether a property file exists within the classpath or filesystem
`static PropertyHandler` | `getInstance()`
`static String` | `getLAFProp(String key)`
`String` | `getProperty(String key)` return the value of a given key from the properties list
`String` | `getProperty(String key, String defValue)` return the value of a given key from the properties list, returning the defValue string should the key not be found
`boolean` | `loadProps(String filename)` load properties for the given properties file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayPropertyHandler

    public OverlayPropertyHandler()

Method Detail

### getInstance

    public static PropertyHandler getInstance()

### getProperty

    public String getProperty(String key)

  Description copied from interface: `PropertyHandler`
  return the value of a given key from the properties list

  Specified by:
    `getProperty` in interface `PropertyHandler`
  Returns:
    null if the key is not found

### getLAFProp

    public static String getLAFProp(String key)

### loadProps

    public boolean loadProps(String filename)

  Description copied from interface: `PropertyHandler`
  load properties for the given properties file

  Specified by:
    `loadProps` in interface `PropertyHandler`
  Returns:
    true if load was successful

### getProperty

    public String getProperty(String key,
                              String defValue)

  Description copied from interface: `PropertyHandler`
  return the value of a given key from the properties list, returning the defValue string should the key not be found

  Specified by:
    `getProperty` in interface `PropertyHandler`
  Returns:
    a string representing either the value associated with the passed key or defValue should that key not be found

### exists

    public boolean exists(String filename)

  Description copied from interface: `PropertyHandler`
  check to see whether a property file exists within the classpath or filesystem

  Specified by:
    `exists` in interface `PropertyHandler`
  Returns:
    true if resource exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD